Tag Archives: aptitude

aptitude safe-upgrade seems to downgrade unsafe apps ?

aptitude safe-upgrade seems to downgrade unsafe apps ?

i installed openjdk-9-jdk then ran aptitude safe-upgrade and it said it would REMOVE the following packages

 # aptitude safe-upgrade
The following packages will be REMOVED: 
 ca-certificates-java{u} fonts-dejavu-extra{u} java-common{u} libatk-wrapper-java{u} libatk-wrapper-java-jni{u} 
 libice-dev{u} libpthread-stubs0-dev{u} libsm-dev{u} libx11-dev{u} libx11-doc{u} libxau-dev{u} libxcb1-dev{u} 
 libxdmcp-dev{u} libxt-dev{u} openjdk-9-jdk-headless{u} openjdk-9-jre{u} openjdk-9-jre-headless{u} 
 x11proto-core-dev{u} x11proto-input-dev{u} x11proto-kb-dev{u} xorg-sgml-doctools{u} xtrans-dev{u} 
0 packages upgraded, 0 newly installed, 22 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 333 MB will be freed.
Do you want to continue? [Y/n/?] n

ubuntu mariadb 5.5 doesnt install with mysql 5.6 libraries

uninstall mysql 5.6 and force install of older version of mysql

see old versions available
# aptitude versions mysql-common

force older version of mysql
# aptitude install mysql-common=5.5.41-0ubuntu0.14.04.1

prevent mysql-common updating (hold it via '=')
# aptitude install mysql-common=

install mariadb
# aptitude install mariadb-server

verify

# dpkg -l | grep ii | egrep "mysql|maria"
ii  libmariadbclient18:amd64                  5.5.41-1ubuntu0.14.04.1                  amd64        MariaDB database client library
ii  libmysqlclient18:amd64                    5.5.41-0ubuntu0.14.04.1                  amd64        MySQL database client library
ii  mariadb-client-5.5                        5.5.41-1ubuntu0.14.04.1                  amd64        MariaDB database client binaries
ii  mariadb-client-core-5.5                   5.5.41-1ubuntu0.14.04.1                  amd64        MariaDB database core client binaries
ii  mariadb-common                            5.5.41-1ubuntu0.14.04.1                  all          MariaDB common metapackage
ii  mariadb-server                            5.5.41-1ubuntu0.14.04.1                  all          MariaDB database server (metapackage depending on the latest version)
ii  mariadb-server-5.5                        5.5.41-1ubuntu0.14.04.1                  amd64        MariaDB database server binaries
ii  mariadb-server-core-5.5                   5.5.41-1ubuntu0.14.04.1                  amd64        MariaDB database core server files
ii  mysql-apt-config                          0.3.3-2ubuntu14.04                       all          Auto configuration for MySQL APT Repo.
ii  mysql-common                              5.5.41-0ubuntu0.14.04.1                  all          MySQL database common files, e.g. /etc/mysql/my.cnf
ii  mysql-workbench-community                 6.2.5-1ubu1404                           amd64        MySQL Workbench
ii  php5-mysql                                5.5.9+dfsg-1ubuntu4.7                    amd64        MySQL module for php5